Bug 1601616 (CVE-2018-14041) - CVE-2018-14041 bootstrap: Cross-site Scripting (XSS) in the data-target property of scrollspy
Summary: CVE-2018-14041 bootstrap: Cross-site Scripting (XSS) in the data-target prope...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2018-14041
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1632066 1696523
TreeView+ depends on / blocked
 
Reported: 2018-07-16 22:50 UTC by Laura Pardo
Modified: 2019-09-29 14:44 UTC (History)
59 users (show)

Fixed In Version: bootstrap 4.1.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-15 05:24:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1456 None None None 2019-06-11 15:32:23 UTC

Description Laura Pardo 2018-07-16 22:50:03 UTC
A flaw was found in Bootstrap from version 4.0 and before 4.1.2. A Cross-site Scripting (XSS) is possible in the data-target property of scrollspy.

References:
https://github.com/twbs/bootstrap/issues/26627

Upstream Patch:
https://github.com/twbs/bootstrap/pull/26630

Comment 2 Doran Moppert 2018-10-15 05:24:22 UTC
bootstrap 3.3.7 is not affected by this flaw.

Comment 5 errata-xmlrpc 2019-06-11 15:32:21 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On 7.3.2 zip

Via RHSA-2019:1456 https://access.redhat.com/errata/RHSA-2019:1456


Note You need to log in before you can comment on or make changes to this bug.